Package Details: ruby-yard

Git Clone URL: (read-only)
Package Base: ruby-yard
Description: Documentation tool for consistent and usable documentation in Ruby.
Upstream URL:
Licenses: MIT
Submitter: k0001
Maintainer: jleclanche
Last Packager: jleclanche
Votes: 144
Popularity: 10.917403
First Submitted: 2010-09-24 22:42
Last Updated: 2015-06-09 21:48

Dependencies (2)

Required by (7)

Sources (1)

Latest Comments

Auerochse commented on 2016-07-24 04:47

omit -n "$pkgdir/usr/bin" from gem install command

else I got error

jleclanche commented on 2013-08-18 15:36

Updated to 0.8.7.

pigmonkey commented on 2013-04-13 19:41

I get the following error when I try to install this:

==> Making package: ruby-syntax 1.0.0-1 (Sat Apr 13 12:39:18 PDT 2013)
==> WARNING: Using a PKGBUILD without a package() function is deprecated.
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Found syntax-1.0.0.gem
==> Validating source files with md5sums...
syntax-1.0.0.gem ... Passed
==> Extracting sources...
==> Removing existing pkg/ directory...
==> Starting build()...
ERROR: Use --install-dir or --user-install but not both
==> ERROR: A failure occurred in build().
The build failed.

jleclanche commented on 2013-03-24 18:06

Updated to

matth commented on 2012-08-24 15:53

I posted a fix to add --no-user-install

Lopo commented on 2012-08-19 05:49

problem with build:
==> Starting build()...
WARNING: You don't have /tmp/yaourt-tmp-lopo/aur-ruby-yard/pkg/usr/bin in your PATH,
gem executables will not run.

fix: gem install --no-user-install ...

k0001 commented on 2012-07-29 23:01

Thanks for letting me know. I upgraded the package.

jleclanche commented on 2012-07-29 18:07

ruby-yard 0.8.2 is out, could you update?

k0001 commented on 2011-04-09 13:46

Updated to 0.6.7

k0001 commented on 2010-09-24 22:43

Package built with gem2arch.